### Constructor

# Gimp ColorProfile new_rgb_srgb

#### Declaration [src]

    GimpColorProfile*
    gimp_color_profile_new_rgb_srgb (
      void
    )

#### Description [src]

This function is a replacement for cmsCreate_sRGBProfile() and returns an sRGB profile that is functionally the same as the ArgyllCMS sRGB.icm profile. “Functionally the same” means it has the same red, green, and blue colorants and the V4 “chad” equivalent of the ArgyllCMS V2 white point. The profile TRC is also functionally equivalent to the ArgyllCMS sRGB.icm TRC and is the same as the LCMS sRGB built-in profile TRC.

The actual primaries in the sRGB specification are red xy: {0.6400, 0.3300, 1.0} green xy: {0.3000, 0.6000, 1.0} blue xy: {0.1500, 0.0600, 1.0}

The sRGB primaries given below are “pre-quantized” to compensate for hexadecimal quantization during the profile-making process. Unless the profile-making code compensates for this quantization, the resulting profile’s red, green, and blue colorants will deviate slightly from the correct XYZ values.

LCMS2 doesn’t compensate for hexadecimal quantization. The “pre-quantized” primaries below were back-calculated from the ArgyllCMS sRGB.icm profile. The resulting sRGB profile’s colorants exactly matches the ArgyllCMS sRGB.icm profile colorants.

Available since: | 2.10

#### Return value

Returns: | `GimpColorProfile`
| The sRGB `GimpColorProfile`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.